package ink.wgink.pojo.dtos.department;

import java.io.Serializable;

/**
 * @ClassName: DepartmentUserDTO
 * @Description: 部门用户
 * @Author: wenc
 * @Date: 2019/1/10 10:39 PM
 * @Version: 1.0
 **/
public class DepartmentUserDTO implements Serializable {

    private static final long serialVersionUID = -2899875759045646539L;
    private String userId;
    private String departmentId;
    private String userUsername;
    private String userName;
    private String userPhone;
    private String userEmail;
    private String userUKey;
    private String userUKeyElectronicSecretKey;
    private Integer loginType;
    private String departmentName;
    private Integer userType;
    private Integer userState;
    private String userAvatar;
    private String userSort;

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId.trim();
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername.trim();
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone == null ? "" : userPhone.trim();
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserEmail() {
        return userEmail == null ? "" : userEmail.trim();
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserUKey() {
        return userUKey == null ? "" : userUKey;
    }

    public void setUserUKey(String userUKey) {
        this.userUKey = userUKey;
    }

    public String getUserUKeyElectronicSecretKey() {
        return userUKeyElectronicSecretKey == null ? "" : userUKeyElectronicSecretKey.trim();
    }

    public void setUserUKeyElectronicSecretKey(String userUKeyElectronicSecretKey) {
        this.userUKeyElectronicSecretKey = userUKeyElectronicSecretKey;
    }

    public Integer getLoginType() {
        return loginType;
    }

    public void setLoginType(Integer loginType) {
        this.loginType = loginType;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getUserState() {
        return userState;
    }

    public void setUserState(Integer userState) {
        this.userState = userState;
    }

    public String getUserAvatar() {
        return userAvatar == null ? "" : userAvatar.trim();
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUserSort() {
        return userSort == null ? "" : userSort.trim();
    }

    public void setUserSort(String userSort) {
        this.userSort = userSort;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":")
                .append("\"").append(userId).append("\"");
        sb.append(",\"departmentId\":")
                .append("\"").append(departmentId).append("\"");
        sb.append(",\"userUsername\":")
                .append("\"").append(userUsername).append("\"");
        sb.append(",\"userName\":")
                .append("\"").append(userName).append("\"");
        sb.append(",\"userPhone\":")
                .append("\"").append(userPhone).append("\"");
        sb.append(",\"userEmail\":")
                .append("\"").append(userEmail).append("\"");
        sb.append(",\"userUKey\":")
                .append("\"").append(userUKey).append("\"");
        sb.append(",\"userUKeyElectronicSecretKey\":")
                .append("\"").append(userUKeyElectronicSecretKey).append("\"");
        sb.append(",\"loginType\":")
                .append(loginType);
        sb.append(",\"departmentName\":")
                .append("\"").append(departmentName).append("\"");
        sb.append(",\"userType\":")
                .append(userType);
        sb.append(",\"userState\":")
                .append(userState);
        sb.append(",\"userAvatar\":")
                .append("\"").append(userAvatar).append("\"");
        sb.append(",\"userSort\":")
                .append("\"").append(userSort).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
