package ink.wgink.common.enums;

/**
 * @ClassName: ErrorResultCodeEnum
 * @Description: 错误代码
 * @Author: WangGeng
 * @Date: 2019/3/2 3:51 PM
 * @Version: 1.0
 **/
public enum ErrorResultCodeEnum {

    /**
     * 错误类型
     */
    SYSTEM_ERROR(40001),
    ENCODE_ERROR(40002),
    DECODE_ERROR(40003),
    TEXT_ILLEGAL(40101),
    PARAMS_ERROR(40102),
    QUERY_ERROR(40101),
    SAVE_ERROR(40102),
    UPDATE_ERROR(40103),
    REMOVE_ERROR(40104),
    FILE_ERROR(40401),
    TEST_ERROR(40201),
    LOGIN_OUT(40301),
    TOKEN_ERROR(40302),
    USERNAME_PASSWORD_ERROR(40303),
    USER_EXIST(40304),
    PERMISSION_ERROR(40401),
    DEVICE_ERROR(40501),
    DEVICE_VERSION_ERROR(40502);

    private int value;

    ErrorResultCodeEnum(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}
