package ink.wgink.module.department.dao;

import ink.wgink.exceptions.SaveException;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IDepartmentUserAdjustmentDao
 * @Description: 部门用户调整
 * @Author: wanggeng
 * @Date: 2021/1/29 11:40 上午
 * @Version: 1.0
 */
@Repository
public interface IDepartmentUserAdjustmentDao {
    /**
     * 保存部门用户调整
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;
}
