package ink.wgink.module.department.service.impl;

import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.module.department.dao.IDepartmentUserAdjustmentDao;
import ink.wgink.module.department.service.IDepartmentUserAdjustmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DepartmentUserAdjustmentServiceImpl
 * @Description: 部门用户调整
 * @Author: wanggeng
 * @Date: 2021/1/29 11:36 上午
 * @Version: 1.0
 */
@Service
public class DepartmentUserAdjustmentServiceImpl extends DefaultBaseService implements IDepartmentUserAdjustmentService {

    @Autowired
    private IDepartmentUserAdjustmentDao departmentUserAdjustmentDao;

    @Override
    public void save(Map<String, Object> params) {
        departmentUserAdjustmentDao.save(params);
    }

}
