package ink.wgink.module.role.pojo.vos;

import ink.wgink.annotation.CheckBooleanAnnotation;
import ink.wgink.annotation.CheckListAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @ClassName: PermissionVO
 * @Description: 权限
 * @Author: WenG
 * @Date: 2020-05-27 15:58
 * @Version: 1.0
 **/
@ApiModel
public class RolePermissionVO {

    @ApiModelProperty(name = "isChecked", value = "是否选中")
    @CheckBooleanAnnotation(name = "是否选中")
    private Boolean isChecked;
    @ApiModelProperty(name = "permissionIdArray", value = "权限ID列表")
    @CheckListAnnotation(name = "权限ID列表")
    private List<String> permissionIdArray;

    public Boolean getChecked() {
        return isChecked;
    }

    public void setChecked(Boolean checked) {
        isChecked = checked;
    }

    public List<String> getPermissionIdArray() {
        return permissionIdArray;
    }

    public void setPermissionIdArray(List<String> permissionIdArray) {
        this.permissionIdArray = permissionIdArray;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"isChecked\":")
                .append(isChecked);
        sb.append(",\"permissionIdArray\":")
                .append(permissionIdArray);
        sb.append('}');
        return sb.toString();
    }
}
