package ink.wgink.module.role.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleUserAuthorityVO
 * @Description: 角色用户
 * @Author: WangGeng
 * @Date: 2019/11/23 8:14 下午
 * @Version: 1.0
 **/
@ApiModel
public class RoleUserAuthorityVO {

    @ApiModelProperty(name = "departmentId", value = "部门ID")
    private String departmentId;
    @ApiModelProperty(name = "userId", value = "用户ID")
    private String userId;

    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId.trim();
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"departmentId\":")
                .append("\"").append(departmentId).append("\"");
        sb.append(",\"userId\":")
                .append("\"").append(userId).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
