package ink.wgink.pojo.dtos.role;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleDataAuthorityTypeDTO
 * @Description: 权限类型
 * @Author: WangGeng
 * @Date: 2019/11/25 6:02 下午
 * @Version: 1.0
 **/
@ApiModel
public class RoleDataAuthorityTypeDTO {

    @ApiModelProperty(name = "roleDataAuthorityType", value = "数据权限类型")
    private String roleDataAuthorityType;
    @ApiModelProperty(name = "roleDataAuthority", value = "数据权限")
    private String roleDataAuthority;

    public String getRoleDataAuthorityType() {
        return roleDataAuthorityType == null ? "" : roleDataAuthorityType.trim();
    }

    public void setRoleDataAuthorityType(String roleDataAuthorityType) {
        this.roleDataAuthorityType = roleDataAuthorityType;
    }

    public String getRoleDataAuthority() {
        return roleDataAuthority == null ? "" : roleDataAuthority.trim();
    }

    public void setRoleDataAuthority(String roleDataAuthority) {
        this.roleDataAuthority = roleDataAuthority;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleDataAuthorityType\":")
                .append("\"").append(roleDataAuthorityType).append("\"");
        sb.append(",\"roleDataAuthority\":")
                .append("\"").append(roleDataAuthority).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
